Name:           perl-Test-Fake-HTTPD
Version:        0.08
Release:        1%{?dist}
Summary:        Fake HTTP server module for testing
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Test-Fake-HTTPD/

Source0:        http://search.cpan.org/CPAN/authors/id/M/MA/MASAKI/Test-Fake-HTTPD-%{version}.tar.gz

# Adds SSL key and certification assignment
Patch0:         ssl-parameters-assignment.patch

BuildArch:      noarch

BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Module::Build::Tiny) >= 0.035
BuildRequires:  perl(strict)

# Run-time
BuildRequires:  perl(Carp)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(HTTP::Daemon)
BuildRequires:  perl(HTTP::Daemon::SSL)
BuildRequires:  perl(HTTP::Message::PSGI)
BuildRequires:  perl(Scalar::Util) >= 1.14
BuildRequires:  perl(Test::TCP)
BuildRequires:  perl(Time::HiRes)
BuildRequires:  perl(URI)
BuildRequires:  perl(warnings)

# Testing
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(LWP::Protocol::https)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::More) >= 0.98
BuildRequires:  perl(Test::SharedFork) >= 0.29
BuildRequires:  perl(Test::UseAllModules)

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(HTTP::Daemon::SSL)

%description
Test::Fake::HTTPD is a fake HTTP server module for testing.
Written by NAKAGAWA Masaki <masaki@cpan.org>.

%prep
%setup -q -n Test-Fake-HTTPD-%{version}
%patch0 -p0

%build
perl Build.PL installdirs=vendor
./Build

%install
./Build install --prefix=%{_prefix} --destdir=%{buildroot} --create_packlist=0

find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
./Build test

%files
%license LICENSE
%doc Changes README.md
%{perl_privlib}/*
%{_mandir}/man3/*


%changelog
* Tue Mar 07 2017 Denis Fateyev <denis@fateyev.com> - 0.08-1
- Update to 0.08 release

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.07-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue May 17 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.07-3
- Perl 5.24 rebuild

* Mon Feb 15 2016 Denis Fateyev <denis@fateyev.com> - 0.07-2
- Spec cleanup

* Fri Feb 12 2016 Denis Fateyev <denis@fateyev.com> - 0.07-1
- Initial release
